﻿using Infragistics.Windows.Controls;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XDGSortOrderCase
{
    public class SortPriorityConverter : IMultiValueConverter
    {

        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (values[0] != null)
            {
                if ((SortStatus)values[1] == SortStatus.NotSorted)
                {
                    return Binding.DoNothing;
                }
                else
                {
                    LabelPresenter lp = values[0] as LabelPresenter;
                    Field field = lp.Field;

                    int i = field.Owner.SortedFields.IndexOf(field);

                    return (i+1).ToString();
                }
            }
            else
            {
                return Binding.DoNothing;
            }
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
